Updates a specific schedule by id
curl --request PUT \
--url https://api.rootly.com/v1/schedules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "schedules",
"attributes": {
"name": "<string>",
"description": "<string>",
"all_time_coverage": true,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": [
"<string>"
],
"owner_user_id": 123
}
}
}
'{
"data": {
"id": "be28badc-648b-464b-9857-1d0e2e0b3d18",
"type": "schedules",
"attributes": {
"name": "Updated schedule name",
"description": "Updated schedule description",
"all_time_coverage": true,
"slack_user_group": {},
"slack_channel": {
"id": "ABC123",
"name": "Slack Channel"
},
"owner_user_id": 880,
"owner_group_ids": [
"57464d84-c7d3-4196-970e-18e051ae2bc8"
],
"created_at": "2026-01-21T11:22:35.796-08:00",
"updated_at": "2026-01-21T11:22:39.522-08:00"
},
"relationships": {
"owner_user": {
"data": {
"id": "880",
"type": "users"
}
},
"escalation_policies": {
"data": []
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
schedule updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/schedules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "schedules",
"attributes": {
"name": "<string>",
"description": "<string>",
"all_time_coverage": true,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": [
"<string>"
],
"owner_user_id": 123
}
}
}
'{
"data": {
"id": "be28badc-648b-464b-9857-1d0e2e0b3d18",
"type": "schedules",
"attributes": {
"name": "Updated schedule name",
"description": "Updated schedule description",
"all_time_coverage": true,
"slack_user_group": {},
"slack_channel": {
"id": "ABC123",
"name": "Slack Channel"
},
"owner_user_id": 880,
"owner_group_ids": [
"57464d84-c7d3-4196-970e-18e051ae2bc8"
],
"created_at": "2026-01-21T11:22:35.796-08:00",
"updated_at": "2026-01-21T11:22:39.522-08:00"
},
"relationships": {
"owner_user": {
"data": {
"id": "880",
"type": "users"
}
},
"escalation_policies": {
"data": []
}
}
}
}